Bug 1293226 - commit a custom previewed snapshot which only one of its disks gets previewed
commit a custom previewed snapshot which only one of its disks gets previewed
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage (Show other bugs)
3.6.1
Unspecified Unspecified
unspecified Severity medium (vote)
: ovirt-3.6.2
: 3.6.2.5
Assigned To: Maor
Kevin Alon Goldblatt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-21 01:54 EST by Maor
Modified: 2016-02-18 06:10 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-18 06:10:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑3.6.z+
ylavi: planning_ack+
amureini: devel_ack+
rule-engine: testing_ack+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 50771 master MERGED core: Fix custom preview with one disk from active snapshot. 2015-12-22 11:23 EST
oVirt gerrit 50786 master MERGED core: Commiting a partial preview of cinder snapshot. 2015-12-22 11:23 EST
oVirt gerrit 50925 ovirt-engine-3.6 MERGED core: Fix custom preview with one disk from active snapshot. 2015-12-23 06:54 EST
oVirt gerrit 50937 ovirt-engine-3.6 MERGED core: Commiting a partial preview of cinder snapshot. 2015-12-23 07:50 EST
oVirt gerrit 51373 master MERGED core: Filter out child Cinder commands on end action. 2016-01-05 11:52 EST
oVirt gerrit 51459 master MERGED core: Importing a SD should override empty fields 2016-01-06 12:12 EST

  None (edit)
Description Maor 2015-12-21 01:54:12 EST
Description of problem:
Trying to commit a custom previewed snapshot which only one of its disks gets previewed and at least one volume does not get previewed and used as active, will throw an exception.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Create a VM with 2 disks.
2. Create a snapshot
3. Custom preview the snapshot so the first disk will be used from the active snapshot.
4. Commit the snapshot

Actual results:
An exception will be thrown

Expected results:
The snapshot should be committed without any error

Additional info:
Comment 1 Red Hat Bugzilla Rules Engine 2015-12-21 02:40:33 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 2 Sandro Bonazzola 2015-12-23 10:08:07 EST
This bug has target milestone 3.6.2 and is on modified without a target release.
This may be perfectly correct, but please check if the patch fixing this bug is included in ovirt-engine-3.6.2. If it's included, please set target-release to 3.6.2 and move to ON_QA. Thanks.
Comment 3 Kevin Alon Goldblatt 2016-02-03 09:18:20 EST
Verified with the following code:
--------------------------------
vdsm-4.17.19-0.el7ev.noarch
rhevm-3.6.3-0.1.el6.noarch

Verified with the following scenario:
-------------------------------------
Steps to Reproduce:
1. Create a VM with 2 disks.
2. Create a snapshot
3. Custom preview the snapshot so the first disk will be used from the active snapshot.
4. Commit the snapshot >>>>> The snapshot is successfully committed and no exceptions are generated.

Moving to VERIFIED

Note You need to log in before you can comment on or make changes to this bug.